Name:    kleopatra
Version: 16.12.3
Release: 1%{?dist}
Summary: KDE certificate manager and unified crypto GUI

# code: GPLv2+
# docs: GFDL
License: GPLv2+ and GFDL

URL:     http://projects.kde.org/?p=%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

## upstreamable patches

BuildRequires:  boost-devel
BuildRequires:  extra-cmake-modules >= 5.23.0
BuildRequires:  kf5-rpm-macros >= 5.23.0

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Network)

BuildRequires:  gpgmepp-devel >= 1.7.1
BuildRequires:  cmake(QGpgme)
BuildRequires:  libassuan2-devel

BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5DocTools)

%global majmin_ver %(echo %{version} | cut -d. -f1,2)
BuildRequires:  kf5-libkleo-devel >= %{majmin_ver} 
BuildRequires:  kf5-kmime-devel >= %{majmin_ver} 

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
%{summary}.

%package        libs
Summary:        Runtime libraries for Kleopatra
Requires:       %{name} = %{version}-%{release}
%description    libs
%{summary}.


%prep
%autosetup -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# Remove non-version .so files, we don't have -devel pkg anyway
rm -fv %{buildroot}%{_kf5_libdir}/libkleopatraclientcore.so
rm -fv %{buildroot}%{_kf5_libdir}/libkleopatraclientgui.so


%post
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
fi

%files
%license COPYING COPYING.DOC
%{_kf5_sysconfdir}/xdg/kleopatra.*
%{_kf5_bindir}/kleopatra
%{_kf5_bindir}/kwatchgnupg
%{_kf5_datadir}/appdata/org.kde.kleopatra.appdata.xml
%{_kf5_datadir}/applications/org.kde.kleopatra.desktop
%{_kf5_datadir}/applications/kleopatra_import.desktop
%{_kf5_datadir}/kconf_update/*
%{_kf5_datadir}/kservices5/kleopatra_*.desktop
%{_kf5_datadir}/kleopatra/
%{_kf5_datadir}/kwatchgnupg/
%{_kf5_datadir}/icons/hicolor/*/apps/kleopatra.*
%{_kf5_docdir}/HTML/en/kleopatra/
%{_kf5_docdir}/HTML/en/kwatchgnupg/

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kf5_libdir}/libkleopatraclientcore.so.*
%{_kf5_libdir}/libkleopatraclientgui.so.*
%{_kf5_qtplugindir}/kcm_kleopatra.so


%changelog
* Thu Mar 09 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.3-1
- 16.12.3

* Thu Feb 09 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.2-1
- 16.12.2

* Mon Jan 16 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.1-1
- 16.12.1

* Sat Dec 10 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 16.08.3-2
- Rebuild for gpgme 1.18

* Mon Dec 05 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.3-1
- 16.08.3

* Thu Oct 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.2-1
- 16.08.2

* Thu Sep 08 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.1-1
- 16.08.1

* Sun Sep 04 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.0-1
- 16.08.0

* Sun Jul 10 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.3-1
- 16.04.3

* Sun Jun 12 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.2-1
- 16.04.2

* Wed May 25 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.1-1
- 16.04.1, move plugins to -lib, use versioned deps

* Tue May 03 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 16.04.0-1
- Initial version
